import subprocess
import sys

def install_libraries():
    required_libraries = ['tokenize_rt', 'pycryptodome', 'bytecode', 'astor', 'uncompyle6', 'decompyle3',"pyDes", "xxtea", "pyaes", "pycryptodomex","chardet"]
    for library in required_libraries:
        try:
            __import__(library)
        except ImportError:
            try:
                subprocess.check_call([sys.executable, "-m", "pip", "install", library])
                print(f"{library} 安装成功")
            except subprocess.CalledProcessError as e:
                print(f"安装 {library} 时出错: {e}")
                print(f"尝试手动安装 {library}，请检查网络连接并确保有权限安装库。")

if __name__ == "__main__":
    install_libraries()
